from pysolar.solar import get_altitude
from pysolar.time import leap_seconds_adjustments, leap_seconds_base_year
import datetime


# add missing leapseconds to pysolar
lastLeapYear = leap_seconds_base_year + len(leap_seconds_adjustments) - 1
currentYear = datetime.datetime.now().year
missingLeapSeconds = {2016:(0,1), 2017:(0,0)}
while lastLeapYear < currentYear:
    leap = missingLeapSeconds[lastLeapYear] if lastLeapYear in missingLeapSeconds else (0,0)
    leap_seconds_adjustments.append(leap)
    lastLeapYear += 1


def getSunAltitude(d):
    """ Return perceived sun altitude at datetime d from camera location"""
    #10-meter mast:
    #https://wettermast.uni-hamburg.de/frame.php?doc=Messanlage.htm
    latitude=53.519917
    longitude=10.105139
    
    return get_altitude(latitude, longitude, d)

